> For the complete documentation index, see [llms.txt](https://docs.ecwid.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ecwid.com/changelog/march-2025/march-25/new-endpoints-for-customer-extra-fields.md).

# New endpoints for customer extra fields

#### What's new

Checkout extra fields can now be also saved as customer extra fields. For now, such fields are only related with checkout extra fields and with the store. However, in the future, it will allow saving custom data for the specific customers.

#### Changes in API

* New endpoints added to API reference. They allow managing customer extra fields with API calls the same way as through the Ecwid admin. Find the links below.<br>
* New access scopes required for managing customer extra fields: `read_customers_extrafields`, `update_customers_extrafields`, and `delete_customers_extrafields`.

#### Documentation links

New endpoints:

{% content-ref url="/spaces/G9n5VxMY9T0Ob3D56PSD/pages/xK6VFJHkFIB8bmHebkgp" %}
[Search customer extra fields](/api-reference/rest-api/customers/customer-extra-fields/search-customer-extra-fields.md)
{% endcontent-ref %}

{% content-ref url="/spaces/G9n5VxMY9T0Ob3D56PSD/pages/e2W8NftDUvpCJ2YDQ3S0" %}
[Get customer extra field](/api-reference/rest-api/customers/customer-extra-fields/get-customer-extra-field.md)
{% endcontent-ref %}

{% content-ref url="/spaces/G9n5VxMY9T0Ob3D56PSD/pages/Af6m7htARWebpBgzqqe6" %}
[Create customer extra field](/api-reference/rest-api/customers/customer-extra-fields/create-customer-extra-field.md)
{% endcontent-ref %}

{% content-ref url="/spaces/G9n5VxMY9T0Ob3D56PSD/pages/NeG6qNhJVkZor7Vjlo13" %}
[Update customer extra field](/api-reference/rest-api/customers/customer-extra-fields/update-customer-extra-field.md)
{% endcontent-ref %}

{% content-ref url="/spaces/G9n5VxMY9T0Ob3D56PSD/pages/6EjUPIvsq9CmzD5VNn8N" %}
[Delete customer extra field](/api-reference/rest-api/customers/customer-extra-fields/delete-customer-extra-field.md)
{% endcontent-ref %}

New access scopes:

{% content-ref url="/spaces/uOzT5egoVTAjMJwRuMQT/pages/SDi2xrLIiTP85lZ31x6n" %}
[App settings](/develop-apps/app-settings.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ecwid.com/changelog/march-2025/march-25/new-endpoints-for-customer-extra-fields.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
